Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MIE.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MIE.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MIE.pm	(revision 34921)
@@ -2088,5 +2106,5 @@
 order byte is always the first byte if big-endian, and the eighth byte if
 little-endian.  This means that some swapping is always necessary for these
-values on systems where the byte order differs from the word order (ie. some
+values on systems where the byte order differs from the word order (eg. some
 ARM systems), regardless of the endian-ness of the stored values.
 
@@ -2096,5 +2114,5 @@
 comes first regardless of the byte ordering.  In a signed rational value,
 only the numerator is signed.  The denominator of all rational values is
-unsigned (ie. a signed 64-bit rational of 0x80000000/0x80000000 evaluates to
+unsigned (eg. a signed 64-bit rational of 0x80000000/0x80000000 evaluates to
 -1, not +1).
 
@@ -2102,5 +2120,5 @@
 
 32-bit fixed point values are converted to floating point by treating them
-as an integer and dividing by an appropriate value.  ie)
+as an integer and dividing by an appropriate value.  eg)
 
     16-bit fixed value = 16-bit integer value / 256.0
@@ -2151,5 +2169,5 @@
 upper case.  The underline ("_") is provided to allow separation of two
 acronyms or two numbers, but it shouldn't be used unless necessary.  No
-separation is necessary between an acronym and a word (ie. "ISOSetting").
+separation is necessary between an acronym and a word (eg. "ISOSetting").
 
 All TagNames should start with an uppercase letter.  An exception to this
@@ -2163,5 +2181,5 @@
 following format:  The first character is a dash ('-'), followed by a
 2-character lower case ISO 639-1 language code, then an underline ('_'), and
-ending with a 2-character upper case ISO 3166-1 alpha 2 country code.  (ie.
+ending with a 2-character upper case ISO 3166-1 alpha 2 country code.  (eg.
 "-en_US", "-en_GB", "-de_DE" or "-fr_FR".  Note that "GB", and not "UK" is
 the code for Great Britain, although "UK" should be recognized for
@@ -2174,5 +2192,5 @@
 The units string is stored in brackets at the end of the tag name, and is
 composed of zero or more ASCII characters in the range 0x21 to 0x7d,
-excluding the bracket characters 0x28 and 0x29.  (ie. "Resolution(/cm)" or
+excluding the bracket characters 0x28 and 0x29.  (eg. "Resolution(/cm)" or
 "SpecificHeat(J/kg.K)".)  See L<Image::ExifTool::MIEUnits> for details. Unit
 strings are not localized, and may not be used in combination with localized
@@ -2367,8 +2385,8 @@
 Integer and floating point numbers may be represented in binary or string
 form.  In string form, integers are a series of digits with an optional
-leading sign (ie. "[+|-]DDDDDD"), and multiple values are separated by a
-single space character (ie. "23 128 -32").  Floating point numbers are
+leading sign (eg. "[+|-]DDDDDD"), and multiple values are separated by a
+single space character (eg. "23 128 -32").  Floating point numbers are
 similar but may also contain a decimal point and/or a signed exponent with a
-leading 'e' character (ie. "[+|-]DD[.DDDDDD][e(+|-)EEE]").  The string "inf"
+leading 'e' character (eg. "[+|-]DD[.DDDDDD][e(+|-)EEE]").  The string "inf"
 is used to represent infinity.  One advantage of numerical strings is that
 they can have an arbitrarily high precision because the possible number of
@@ -2418,5 +2436,5 @@
 Historically, a limit of 2GB may be imposed by some systems.  However,
 8-byte data lengths should be supported by all applications provided the
-value doesn't exceed the system limit.  (ie. For systems with a 2GB limit,
+value doesn't exceed the system limit.  (eg. For systems with a 2GB limit,
 8-byte data lengths should be supported if the upper 17 bits are all zero.)
 If a data length above the system limit is encountered, it may be necessary
@@ -2511,5 +2529,5 @@
 =head1 REVISIONS
 
-  2010-04-05 - Fixed ÒFormat SizeÓ Note 7 to give the correct number of bits
+  2010-04-05 - Fixed "Format Size" Note 7 to give the correct number of bits
                in the example rational value
   2007-01-21 - Specified LF character (0x0a) for text newline sequence
@@ -2527,5 +2545,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
@@ -2537,5 +2555,5 @@
 =over 4
 
-=item L<http://owl.phy.queensu.ca/~phil/exiftool/MIE1.1-20070121.pdf>
+=item L<https://exiftool.org/MIE1.1-20070121.pdf>
 
 =back
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MIEUnits.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MIEUnits.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MIEUnits.pod	(revision 34921)
@@ -7,5 +7,5 @@
 
 The MIE format allows units of measurement to be specified in brackets at
-the end of a MIE tag name (ie. "Volume(m3)"). This document describes the
+the end of a MIE tag name (eg. "Volume(m3)"). This document describes the
 standard MIE units abbreviations.
 
@@ -19,11 +19,11 @@
 words may be separated with a hyphen ('-').
 
-Exponents should be positive, and require no separator (ie. "m2" for square
-meters).  L<Prefixes|/PREFIXES> may be added to the standard units (ie.
+Exponents should be positive, and require no separator (eg. "m2" for square
+meters).  L<Prefixes|/PREFIXES> may be added to the standard units (eg.
 "cm") except when the resulting name conflicts with another standard unit.
 
 Multiplication is indicated by '.', and division by '/'.  Reciprocal units
 (ie. the multiplicative inverse) are obtained through division rather than
-the use of negative exponents (ie. "/in", not "in-1").  In MIE units,
+the use of negative exponents (eg. "/in", not "in-1").  In MIE units,
 multiplication has precedence over division, so everything to the right of a
 '/' is in the denominator.  (See L</EXAMPLES> for a few examples.)
@@ -357,5 +357,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MIFF.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MIFF.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MIFF.pm	(revision 34921)
@@ -16,5 +16,5 @@
 use Image::ExifTool qw(:DataAccess :Utils);
 
-$VERSION = '1.05';
+$VERSION = '1.07';
 
 # MIFF chunks
@@ -32,5 +32,5 @@
     class => 'Class',
     colors => 'Colors',
-    colorspace => 'Colorspace',
+    colorspace => 'ColorSpace',
     columns => 'ImageWidth',
     compression => 'Compression',
@@ -104,7 +104,7 @@
 sub ProcessMIFF($$)
 {
-    my ($exifTool, $dirInfo) = @_;
+    my ($et, $dirInfo) = @_;
     my $raf = $$dirInfo{RAF};
-    my $verbose = $exifTool->{OPTIONS}->{Verbose};
+    my $verbose = $$et{OPTIONS}{Verbose};
     my ($hdr, $buff);
 
@@ -113,5 +113,5 @@
     return 0 unless $raf->Read($hdr, 14) == 14;
     return 0 unless $hdr eq 'id=ImageMagick';
-    $exifTool->SetFileType();   # set the FileType tag
+    $et->SetFileType();   # set the FileType tag
 
     # set end-of-line character sequence to read to end of the TEXT
@@ -154,13 +154,13 @@
             } else {
                 # something we don't recognize -- stop parsing here
-                $exifTool->Warn('Unrecognized MIFF data');
+                $et->Warn('Unrecognized MIFF data');
                 last;
             }
-            my $tagInfo = $exifTool->GetTagInfo($tagTablePtr, $tag);
+            my $tagInfo = $et->GetTagInfo($tagTablePtr, $tag);
             unless ($tagInfo) {
                 $tagInfo = { Name => $tag };
-                Image::ExifTool::AddTagToTable($tagTablePtr, $tag, $tagInfo);
-            }
-            $verbose and $exifTool->VerboseInfo($tag, $tagInfo,
+                AddTagToTable($tagTablePtr, $tag, $tagInfo);
+            }
+            $verbose and $et->VerboseInfo($tag, $tagInfo,
                 Table  => $tagTablePtr,
                 DataPt => \$val,
@@ -170,5 +170,5 @@
                 push @profiles, [$1, $val];
             } else {
-                $exifTool->FoundTag($tagInfo, $val);
+                $et->FoundTag($tagInfo, $val);
             }
         }
@@ -179,9 +179,9 @@
         my ($type, $len) = @{$_};
         unless ($len =~ /^\d+$/) {
-            $exifTool->Warn("Invalid length for $type profile");
+            $et->Warn("Invalid length for $type profile");
             last;   # don't try to read the rest
         }
         unless ($raf->Read($buff, $len) == $len) {
-            $exifTool->Warn("Error reading $type profile ($len bytes)");
+            $et->Warn("Error reading $type profile ($len bytes)");
             next;
         }
@@ -198,10 +198,10 @@
             # ICC Profile information
             my $tagTablePtr = GetTagTable('Image::ExifTool::ICC_Profile::Main');
-            $processed = $exifTool->ProcessDirectory(\%dirInfo, $tagTablePtr);
+            $processed = $et->ProcessDirectory(\%dirInfo, $tagTablePtr);
         } elsif ($type eq 'iptc') {
             if ($buff =~ /^8BIM/) {
                 # Photoshop information
                 my $tagTablePtr = GetTagTable('Image::ExifTool::Photoshop::Main');
-                $processed = $exifTool->ProcessDirectory(\%dirInfo, $tagTablePtr);
+                $processed = $et->ProcessDirectory(\%dirInfo, $tagTablePtr);
             }
         # I haven't seen 'exif' or 'xmp' profile types yet, but I have seen them
@@ -216,5 +216,5 @@
                 # (this may be wrong, but I can't see where the PNG stores this information)
                 $dirInfo{Base} = 12; # this is the usual value
-                $processed = $exifTool->ProcessTIFF(\%dirInfo);
+                $processed = $et->ProcessTIFF(\%dirInfo);
             } elsif ($buff =~ /^$Image::ExifTool::xmpAPP1hdr/) {
                 # APP1 XMP
@@ -223,12 +223,12 @@
                 $dirInfo{DirStart} += $hdrLen;
                 $dirInfo{DirLen} -= $hdrLen;
-                $processed = $exifTool->ProcessDirectory(\%dirInfo, $tagTablePtr);
+                $processed = $et->ProcessDirectory(\%dirInfo, $tagTablePtr);
             }
         }
         unless ($processed) {
-            $exifTool->Warn("Unknown MIFF $type profile data");
+            $et->Warn("Unknown MIFF $type profile data");
             if ($verbose) {
-                $exifTool->VerboseDir($type, 0, $len);
-                $exifTool->VerboseDump(\$buff);
+                $et->VerboseDir($type, 0, $len);
+                $et->VerboseDump(\$buff);
             }
          }
@@ -256,5 +256,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MNG.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MNG.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MNG.pm	(revision 34921)
@@ -662,5 +662,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MOI.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MOI.pm	(revision 34921)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MOI.pm	(revision 34921)
@@ -0,0 +1,159 @@
+#------------------------------------------------------------------------------
+# File:         MOI.pm
+#
+# Description:  Read MOI meta information
+#
+# Revisions:    2014/12/15 - P. Harvey Created
+#
+# References:   1) https://en.wikipedia.org/wiki/MOI_(file_format)
+#------------------------------------------------------------------------------
+
+package Image::ExifTool::MOI;
+
+use strict;
+use vars qw($VERSION);
+use Image::ExifTool qw(:DataAccess :Utils);
+
+$VERSION = '1.02';
+
+# MOI tags (ref 1)
+%Image::ExifTool::MOI::Main = (
+    GROUPS => { 2 => 'Video' },
+    PROCESS_PROC => \&Image::ExifTool::ProcessBinaryData,
+    NOTES => q{
+        MOI files store information about associated MOD or TOD files, and are
+        written by some JVC, Canon and Panasonic camcorders.
+    },
+    0x00 => { Name => 'MOIVersion',  Format => 'string[2]' },
+  # 0x02 => { Name => 'MOIFileSize', Format => 'int32u' },
+    0x06 => {
+        Name => 'DateTimeOriginal',
+        Description => 'Date/Time Original',
+        Format => 'undef[8]',
+        Groups => { 2 => 'Time' },
+        ValueConv => sub {
+            my $val = shift;
+            return undef unless length($val) >= 8;
+            my @v = unpack('nCCCCn', $val);
+            $v[5] /= 1000;
+            return sprintf('%.4d:%.2d:%.2d %.2d:%.2d:%06.3f', @v);
+        },
+        PrintConv => '$self->ConvertDateTime($val)',
+    },
+    0x0e => {
+        Name => 'Duration',
+        Format => 'int32u',
+        ValueConv => '$val / 1000',
+        PrintConv => 'ConvertDuration($val)',
+    },
+    0x80 => {
+        Name => 'AspectRatio',
+        Format => 'int8u',
+        PrintConv => q{
+            my $lo = ($val & 0x0f);
+            my $hi = ($val >> 4);
+            my $aspect;
+            if ($lo < 2) {
+                $aspect = '4:3';
+            } elsif ($lo == 4 or $lo == 5) {
+                $aspect = '16:9';
+            } else {
+                $aspect = 'Unknown';
+            }
+            if ($hi == 4) {
+                $aspect .= ' NTSC';
+            } elsif ($hi == 5) {
+                $aspect .= ' PAL';
+            }
+            return $aspect;
+        },
+    },
+    0x84 => {
+        Name => 'AudioCodec',
+        Format => 'int16u',
+        Groups => { 2 => 'Audio' },
+        PrintHex => 1,
+        PrintConv => {
+            0x00c1 => 'AC3',
+            0x4001 => 'MPEG',
+        },
+    },
+    0x86 => {
+        Name => 'AudioBitrate',
+        Format => 'int8u',
+        Groups => { 2 => 'Audio' },
+        ValueConv => '$val * 16000 + 48000',
+        PrintConv => 'ConvertBitrate($val)',
+    },
+    0xda => {
+        Name => 'VideoBitrate',
+        Format => 'int16u',
+        PrintHex => 1,
+        ValueConv => {
+            0x5896 => '8500000',
+            0x813d => '5500000',
+        },
+        PrintConv => 'ConvertBitrate($val)',
+    },
+);
+
+#------------------------------------------------------------------------------
+# Validate and extract metadata from MOI file
+# Inputs: 0) ExifTool ref, 1) dirInfo ref
+# Returns: 1 on success, 0 if this wasn't a valid MOI file
+sub ProcessMOI($$)
+{
+    my ($et, $dirInfo) = @_;
+    my $raf = $$dirInfo{RAF};
+    my $buff;
+    # read enough to allow skipping over run-in if it exists
+    $raf->Read($buff, 256) == 256 and $buff =~ /^V6/ or return 0;
+    if (defined $$et{VALUE}{FileSize}) {
+        my $size = unpack('x2N', $buff);
+        $size == $$et{VALUE}{FileSize} or return 0;
+    }
+    $et->SetFileType();
+    SetByteOrder('MM');
+    my $tagTablePtr = GetTagTable('Image::ExifTool::MOI::Main');
+    return $et->ProcessBinaryData({ DataPt => \$buff }, $tagTablePtr);
+}
+
+1;  # end
+
+__END__
+
+=head1 NAME
+
+Image::ExifTool::MOI - Read MOI meta information
+
+=head1 SYNOPSIS
+
+This module is used by Image::ExifTool
+
+=head1 DESCRIPTION
+
+This module contains definitions required by Image::ExifTool to read meta
+information from MOI files.
+
+=head1 AUTHOR
+
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
+
+This library is free software; you can redistribute it and/or modify it
+under the same terms as Perl itself.
+
+=head1 REFERENCES
+
+=over 4
+
+=item L<https://en.wikipedia.org/wiki/MOI_(file_format)>
+
+=back
+
+=head1 SEE ALSO
+
+L<Image::ExifTool::TagNames/MOI Tags>,
+L<Image::ExifTool(3pm)|Image::ExifTool>
+
+=cut
+
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MPC.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MPC.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MPC.pm	(revision 34921)
@@ -16,5 +16,5 @@
 use Image::ExifTool::FLAC;
 
-$VERSION = '1.00';
+$VERSION = '1.01';
 
 # MPC metadata blocks
@@ -79,10 +79,10 @@
 sub ProcessMPC($$)
 {
-    my ($exifTool, $dirInfo) = @_;
+    my ($et, $dirInfo) = @_;
 
     # must first check for leading ID3 information
-    unless ($exifTool->{DoneID3}) {
+    unless ($$et{DoneID3}) {
         require Image::ExifTool::ID3;
-        Image::ExifTool::ID3::ProcessID3($exifTool, $dirInfo) and return 1;
+        Image::ExifTool::ID3::ProcessID3($et, $dirInfo) and return 1;
     }
     my $raf = $$dirInfo{RAF};
@@ -92,5 +92,5 @@
     $raf->Read($buff, 32) == 32 and $buff =~ /^MP\+(.)/s or return 0;
     my $vers = ord($1) & 0x0f;
-    $exifTool->SetFileType();
+    $et->SetFileType();
 
     # extract audio information (currently only from version 7 MPC files)
@@ -98,18 +98,18 @@
         SetByteOrder('II');
         my $pos = $raf->Tell() - 32;
-        if ($exifTool->Options('Verbose')) {
-            $exifTool->VPrint(0, "MPC Header (32 bytes):\n");
-            $exifTool->VerboseDump(\$buff, DataPos => $pos);
+        if ($et->Options('Verbose')) {
+            $et->VPrint(0, "MPC Header (32 bytes):\n");
+            $et->VerboseDump(\$buff, DataPos => $pos);
         }
         my $tagTablePtr = GetTagTable('Image::ExifTool::MPC::Main');
         my %dirInfo = ( DataPt => \$buff, DataPos => $pos );
-        $exifTool->ProcessDirectory(\%dirInfo, $tagTablePtr);
+        $et->ProcessDirectory(\%dirInfo, $tagTablePtr);
     } else {
-        $exifTool->Warn('Audio info not currently extracted from this version MPC file');
+        $et->Warn('Audio info currently not extracted from this version MPC file');
     }
 
     # process APE trailer if it exists
     require Image::ExifTool::APE;
-    Image::ExifTool::APE::ProcessAPE($exifTool, $dirInfo);
+    Image::ExifTool::APE::ProcessAPE($et, $dirInfo);
 
     return 1;
@@ -135,5 +135,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MPEG.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MPEG.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/MPEG.pm	(revision 34921)
@@ -19,5 +19,5 @@
 use Image::ExifTool qw(:DataAccess :Utils);
 
-$VERSION = '1.13';
+$VERSION = '1.16';
 
 %Image::ExifTool::MPEG::Audio = (
@@ -370,5 +370,4 @@
         Name => 'LameStereoMode',
         Mask => 0x1c,
-        ValueConv => '$val >> 2',
         PrintConv => {
             0 => 'Mono',
@@ -442,5 +441,5 @@
 sub ProcessFrameHeader($$@)
 {
-    my ($exifTool, $tagTablePtr, @data) = @_;
+    my ($et, $tagTablePtr, @data) = @_;
     my $tag;
     foreach $tag (sort keys %$tagTablePtr) {
@@ -454,5 +453,5 @@
         }
         my $val = ($word >> (31 + 32*$index - $b2)) & $mask;
-        $exifTool->HandleTag($tagTablePtr, $tag, $val);
+        $et->HandleTag($tagTablePtr, $tag, $val);
     }
 }
@@ -461,10 +460,11 @@
 # Read MPEG audio frame header
 # Inputs: 0) ExifTool object reference, 1) Reference to audio data
+#         2) flag set if we are trying to recognized MP3 file only
 # Returns: 1 on success, 0 if no audio header was found
-sub ParseMPEGAudio($$)
+sub ParseMPEGAudio($$;$)
 {
-    my ($exifTool, $buffPt) = @_;
+    my ($et, $buffPt, $mp3) = @_;
     my ($word, $pos);
-    my $ext = $$exifTool{FILE_EXT} || '';
+    my $ext = $$et{FILE_EXT} || '';
 
     for (;;) {
@@ -482,5 +482,6 @@
             ($word & 0x00f000) == 0x00f000 or   # 1111 is a bad bitrate index
             ($word & 0x000c00) == 0x000c00 or   # 11 is a reserved sampling frequency
-            ($word & 0x000003) == 0x000002)     # 10 is a reserved emphasis
+            ($word & 0x000003) == 0x000002 or   # 10 is a reserved emphasis
+            (($mp3 and ($word & 0x060000) != 0x020000))) # must be layer 3 for MP3
         {
             # give up easily unless this really should be an MP3 file
@@ -493,11 +494,11 @@
     }
     # set file type if not done already
-    $exifTool->SetFileType();
+    $et->SetFileType();
 
     my $tagTablePtr = GetTagTable('Image::ExifTool::MPEG::Audio');
-    ProcessFrameHeader($exifTool, $tagTablePtr, $word);
+    ProcessFrameHeader($et, $tagTablePtr, $word);
 
     # extract the VBR information (ref MP3::Info)
-    my ($v, $m) = ($$exifTool{MPEG_Vers}, $$exifTool{MPEG_Mode});
+    my ($v, $m) = ($$et{MPEG_Vers}, $$et{MPEG_Mode});
     while (defined $v and defined $m) {
         my $len = length $$buffPt;
@@ -513,10 +514,10 @@
         if ($flags & 0x01) {    # VBRFrames
             last if $pos + 4 > $len;
-            $exifTool->HandleTag($xingTable, 1, unpack("x${pos}N", $$buffPt)) if $isVBR;
+            $et->HandleTag($xingTable, 1, unpack("x${pos}N", $$buffPt)) if $isVBR;
             $pos += 4;
         }
         if ($flags & 0x02) {    # VBRBytes
             last if $pos + 4 > $len;
-            $exifTool->HandleTag($xingTable, 2, unpack("x${pos}N", $$buffPt)) if $isVBR;
+            $et->HandleTag($xingTable, 2, unpack("x${pos}N", $$buffPt)) if $isVBR;
             $pos += 4;
         }
@@ -529,5 +530,5 @@
             last if $pos + 4 > $len;
             $vbrScale = unpack("x${pos}N", $$buffPt);
-            $exifTool->HandleTag($xingTable, 3, $vbrScale) if $isVBR;
+            $et->HandleTag($xingTable, 3, $vbrScale) if $isVBR;
             $pos += 4;
         }
@@ -551,5 +552,5 @@
                     last;
                 }
-                $exifTool->HandleTag($xingTable, 4, $lib);
+                $et->HandleTag($xingTable, 4, $lib);
                 last;
             }
@@ -559,8 +560,8 @@
         my $enc = substr($$buffPt, $pos, 9);
         if ($enc ge 'LAME3.90') {
-            $exifTool->HandleTag($xingTable, 4, $enc);
+            $et->HandleTag($xingTable, 4, $enc);
             if ($vbrScale <= 100) {
-                $exifTool->HandleTag($xingTable, 5, int((100 - $vbrScale) / 10));
-                $exifTool->HandleTag($xingTable, 6, (100 - $vbrScale) % 10);
+                $et->HandleTag($xingTable, 5, int((100 - $vbrScale) / 10));
+                $et->HandleTag($xingTable, 6, (100 - $vbrScale) % 10);
             }
             my %dirInfo = (
@@ -570,10 +571,10 @@
             );
             my $subTablePtr = GetTagTable('Image::ExifTool::MPEG::Lame');
-            $exifTool->ProcessDirectory(\%dirInfo, $subTablePtr);
+            $et->ProcessDirectory(\%dirInfo, $subTablePtr);
         } else {
-            $exifTool->HandleTag($xingTable, 4, substr($$buffPt, $pos, 20));
+            $et->HandleTag($xingTable, 4, substr($$buffPt, $pos, 20));
         }
         last;   # (didn't want to loop anyway)
-	}
+    }
 
     return 1;
@@ -586,5 +587,5 @@
 sub ProcessMPEGVideo($$)
 {
-    my ($exifTool, $buffPt) = @_;
+    my ($et, $buffPt) = @_;
 
     return 0 unless length $$buffPt >= 4;
@@ -599,8 +600,8 @@
     }
     # set file type if not done already
-    $exifTool->SetFileType('MPEG') unless $exifTool->{VALUE}->{FileType};
+    $et->SetFileType('MPEG') unless $$et{VALUE}{FileType};
 
     my $tagTablePtr = GetTagTable('Image::ExifTool::MPEG::Video');
-    ProcessFrameHeader($exifTool, $tagTablePtr, $w1, $w2);
+    ProcessFrameHeader($et, $tagTablePtr, $w1, $w2);
     return 1;
 }
@@ -626,20 +627,20 @@
 sub ParseMPEGAudioVideo($$)
 {
-    my ($exifTool, $buffPt) = @_;
+    my ($et, $buffPt) = @_;
     my (%found, $didHdr);
     my $rtnVal = 0;
     my %proc = ( audio => \&ParseMPEGAudio, video => \&ProcessMPEGVideo );
 
-    delete $exifTool->{AudioBitrate};
-    delete $exifTool->{VideoBitrate};
+    delete $$et{AudioBitrate};
+    delete $$et{VideoBitrate};
 
     while ($$buffPt =~ /\0\0\x01(\xb3|\xc0)/g) {
         my $type = $1 eq "\xb3" ? 'video' : 'audio';
         unless ($didHdr) {
-            # make sure we didn't miss an audio frame sync before this (ie. MP3 file)
+            # make sure we didn't miss an audio frame sync before this (eg. MP3 file)
             # (the last byte of the 4-byte MP3 audio frame header word may be zero,
             # but the 2nd last must be non-zero, so we need only check to pos-3)
             my $buff = substr($$buffPt, 0, pos($$buffPt) - 3);
-            $found{audio} = 1 if ParseMPEGAudio($exifTool, \$buff);
+            $found{audio} = 1 if ParseMPEGAudio($et, \$buff);
             $didHdr = 1;
         }
@@ -650,5 +651,5 @@
         my $dat = substr($$buffPt, pos($$buffPt), $len);
         # process MPEG audio or video
-        if (&{$proc{$type}}($exifTool, \$dat)) {
+        if (&{$proc{$type}}($et, \$dat)) {
             $rtnVal = 1;
             $found{$type} = 1;
@@ -666,5 +667,5 @@
 sub ProcessMPEG($$)
 {
-    my ($exifTool, $dirInfo) = @_;
+    my ($et, $dirInfo) = @_;
     my $raf = $$dirInfo{RAF};
     my $buff;
@@ -672,10 +673,10 @@
     $raf->Read($buff, 4) == 4 or return 0;
     return 0 unless $buff =~ /^\0\0\x01[\xb0-\xbf]/;
-    $exifTool->SetFileType();
+    $et->SetFileType();
 
     $raf->Seek(0,0);
     $raf->Read($buff, 65536*4) or return 0;
 
-    return ParseMPEGAudioVideo($exifTool, \$buff);
+    return ParseMPEGAudioVideo($et, \$buff);
 }
 
@@ -704,5 +705,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
